/// <reference types="lodash" />
/// <reference types="hoist-non-react-statics" />
import React from 'react';
import { ThemeProps } from '../theme';
import { LocaleProps } from '../locale';
export interface SearchBoxProps extends ThemeProps, LocaleProps {
    name?: string;
    disabled?: boolean;
    mini?: boolean;
    searchImediately?: boolean;
    onChange?: (text: string) => void;
    placeholder?: string;
    defaultValue?: string;
    value?: string;
    active?: boolean;
    defaultActive?: boolean;
    onActiveChange?: (active: boolean) => void;
    onSearch?: (value: string) => void;
    onCancel?: () => void;
}
export declare class SearchBox extends React.Component<SearchBoxProps> {
    inputRef: React.RefObject<HTMLInputElement>;
    static defaultProps: {
        mini: boolean;
        searchImediately: boolean;
    };
    lazyEmitSearch: import("lodash").DebouncedFunc<() => void>;
    componentWillUnmount(): void;
    handleActive(): void;
    handleCancel(): void;
    handleChange(e: React.ChangeEvent<HTMLInputElement>): void;
    handleSearch(): void;
    handleKeyDown(e: React.KeyboardEvent<any>): void;
    render(): JSX.Element;
}
declare const _default: {
    new (props: (Pick<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
        mini: boolean;
        searchImediately: boolean;
    }, never>> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "translate" | "active" | "locale" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel"> & {
        theme?: string | undefined;
        className?: string | undefined;
        classPrefix?: string | undefined;
        classnames?: import("../theme").ClassNamesFn | undefined;
    }) | Readonly<Pick<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
        mini: boolean;
        searchImediately: boolean;
    }, never>> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "translate" | "active" | "locale" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel"> & {
        theme?: string | undefined;
        className?: string | undefined;
        classPrefix?: string | undefined;
        classnames?: import("../theme").ClassNamesFn | undefined;
    }>): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "translate" | "active" | "locale" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "translate" | "active" | "locale" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "translate" | "active" | "locale" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "translate" | "active" | "locale" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "translate" | "active" | "locale" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "translate" | "active" | "locale" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "translate" | "active" | "locale" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "translate" | "active" | "locale" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "translate" | "active" | "locale" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: Pick<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
        mini: boolean;
        searchImediately: boolean;
    }, never>> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "translate" | "active" | "locale" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel"> & {
        theme?: string | undefined;
        className?: string | undefined;
        classPrefix?: string | undefined;
        classnames?: import("../theme").ClassNamesFn | undefined;
    }, context: any): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "translate" | "active" | "locale" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "translate" | "active" | "locale" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "translate" | "active" | "locale" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "translate" | "active" | "locale" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "translate" | "active" | "locale" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "translate" | "active" | "locale" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "translate" | "active" | "locale" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "translate" | "active" | "locale" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "translate" | "active" | "locale" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType: React.Context<string>;
    ComposedComponent: {
        new (props: (Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }) | Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        new (props: Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, context: any): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        displayName: string;
        contextType: React.Context<string>;
        ComposedComponent: typeof SearchBox;
    } & import("hoist-non-react-statics").NonReactStatics<typeof SearchBox, {}> & {
        ComposedComponent: typeof SearchBox;
    };
} & import("hoist-non-react-statics").NonReactStatics<{
    new (props: (Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
        mini: boolean;
        searchImediately: boolean;
    }, never>> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }) | Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
        mini: boolean;
        searchImediately: boolean;
    }, never>> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }>): {
        render(): JSX.Element;
        context: any;
        setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
        mini: boolean;
        searchImediately: boolean;
    }, never>> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }, context: any): {
        render(): JSX.Element;
        context: any;
        setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType: React.Context<string>;
    ComposedComponent: typeof SearchBox;
} & import("hoist-non-react-statics").NonReactStatics<typeof SearchBox, {}> & {
    ComposedComponent: typeof SearchBox;
}, {}> & {
    ComposedComponent: {
        new (props: (Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }) | Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        new (props: Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
            mini: boolean;
            searchImediately: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, context: any): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "defaultActive" | "onCancel"> & Partial<Pick<Pick<SearchBoxProps, "disabled" | "name" | "placeholder" | "value" | "onChange" | "defaultValue" | "className" | "active" | "classPrefix" | "classnames" | "theme" | "onSearch" | "onActiveChange" | "mini" | "searchImediately" | "defaultActive" | "onCancel">, "mini" | "searchImediately">> & Partial<Pick<{
                mini: boolean;
                searchImediately: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        displayName: string;
        contextType: React.Context<string>;
        ComposedComponent: typeof SearchBox;
    } & import("hoist-non-react-statics").NonReactStatics<typeof SearchBox, {}> & {
        ComposedComponent: typeof SearchBox;
    };
};
export default _default;
